Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/HeuristicLab.Problems.MetaOptimization.Views-3.3.csproj
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/HeuristicLab.Problems.MetaOptimization.Views-3.3.csproj	(revision 4539)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/HeuristicLab.Problems.MetaOptimization.Views-3.3.csproj	(revision 4830)
@@ -83,4 +83,10 @@
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="RootParameterConfigurationView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="RootParameterConfigurationView.Designer.cs">
+      <DependentUpon>RootParameterConfigurationView.cs</DependentUpon>
+    </Compile>
     <Compile Include="NumericRangeView.cs">
       <SubType>UserControl</SubType>
@@ -101,10 +107,4 @@
       <DependentUpon>ParameterConfigurationListView.cs</DependentUpon>
     </Compile>
-    <Compile Include="NumericParameterConfigurationView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="NumericParameterConfigurationView.Designer.cs">
-      <DependentUpon>NumericParameterConfigurationView.cs</DependentUpon>
-    </Compile>
     <Compile Include="HeuristicLabProblemsMetaOptimizationViewsPlugin.cs" />
     <Compile Include="ParameterConfigurationView.cs">
@@ -115,4 +115,10 @@
     </Compile>
     <Compile Include="Properties\AssemblyInfo.cs" />
+    <Compile Include="ValueView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="ValueView.Designer.cs">
+      <DependentUpon>ValueView.cs</DependentUpon>
+    </Compile>
   </ItemGroup>
   <ItemGroup>
@@ -127,4 +133,7 @@
   </ItemGroup>
   <ItemGroup>
+    <EmbeddedResource Include="RootParameterConfigurationView.resx">
+      <DependentUpon>RootParameterConfigurationView.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="NumericRangeView.resx">
       <DependentUpon>NumericRangeView.cs</DependentUpon>
@@ -136,9 +145,9 @@
       <DependentUpon>ParameterConfigurationListView.cs</DependentUpon>
     </EmbeddedResource>
-    <EmbeddedResource Include="NumericParameterConfigurationView.resx">
-      <DependentUpon>NumericParameterConfigurationView.cs</DependentUpon>
-    </EmbeddedResource>
     <EmbeddedResource Include="ParameterConfigurationView.resx">
       <DependentUpon>ParameterConfigurationView.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="ValueView.resx">
+      <DependentUpon>ValueView.cs</DependentUpon>
     </EmbeddedResource>
   </ItemGroup>
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/NumericRangeView.Designer.cs
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/NumericRangeView.Designer.cs	(revision 4539)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/NumericRangeView.Designer.cs	(revision 4830)
@@ -1,4 +1,4 @@
 ﻿namespace HeuristicLab.Problems.MetaOptimization.Views {
-  partial class NumericRangeView {
+  partial class IntValueRangeView {
     /// <summary> 
     /// Required designer variable.
@@ -56,4 +56,5 @@
       this.lowerValueView.Caption = "StringConvertibleValue View";
       this.lowerValueView.Content = null;
+      this.lowerValueView.LabelVisible = true;
       this.lowerValueView.Location = new System.Drawing.Point(38, 0);
       this.lowerValueView.Name = "lowerValueView";
@@ -68,4 +69,5 @@
       this.upperValueView.Caption = "StringConvertibleValue View";
       this.upperValueView.Content = null;
+      this.upperValueView.LabelVisible = true;
       this.upperValueView.Location = new System.Drawing.Point(38, 29);
       this.upperValueView.Name = "upperValueView";
@@ -89,4 +91,5 @@
       this.stepSizeValueView.Caption = "StringConvertibleValue View";
       this.stepSizeValueView.Content = null;
+      this.stepSizeValueView.LabelVisible = true;
       this.stepSizeValueView.Location = new System.Drawing.Point(38, 58);
       this.stepSizeValueView.Name = "stepSizeValueView";
@@ -95,5 +98,5 @@
       this.stepSizeValueView.TabIndex = 5;
       // 
-      // NumericRangeView
+      // IntValueRangeView
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
@@ -105,6 +108,6 @@
       this.Controls.Add(this.upperValueView);
       this.Controls.Add(this.lowerValueView);
-      this.Name = "NumericRangeView";
-      this.Size = new System.Drawing.Size(434, 145);
+      this.Name = "IntValueRangeView";
+      this.Size = new System.Drawing.Size(434, 85);
       this.ResumeLayout(false);
       this.PerformLayout();
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/NumericRangeView.cs
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/NumericRangeView.cs	(revision 4539)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/NumericRangeView.cs	(revision 4830)
@@ -14,9 +14,9 @@
 namespace HeuristicLab.Problems.MetaOptimization.Views {
   /// <summary>
-  /// The visual representation of a <see cref="INumericRange"/>.
+  /// The visual representation of a <see cref="IIntegerRange"/>.
   /// </summary>
   [View("NumericRange View")]
-  [Content(typeof(INumericRange), true)]
-  public partial class NumericRangeView : ItemView {
+  [Content(typeof(IRange<IntValue>), true)]
+  public partial class IntValueRangeView : ItemView {
     /// <summary>
     /// Gets or sets the variable to represent visually.
@@ -24,10 +24,10 @@
     /// <remarks>Uses property <see cref="ViewBase.Item"/> of base class <see cref="ViewBase"/>.
     /// No own data storage present.</remarks>
-    public new INumericRange Content {
-      get { return (INumericRange)base.Content; }
+    public new IRange<IntValue> Content {
+      get { return (IRange<IntValue>)base.Content; }
       set { base.Content = value; }
     }
 
-    public NumericRangeView() {
+    public IntValueRangeView() {
       InitializeComponent();
     }
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ObjectSelectorDialog.cs
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ObjectSelectorDialog.cs	(revision 4539)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ObjectSelectorDialog.cs	(revision 4830)
@@ -13,5 +13,5 @@
     private bool initialized;
     private List<IItem> items;
-    private IEnumerable<IGrouping<string, T>> selectableItems;
+    private IEnumerable<IGrouping<Type, T>> selectableItems;
 
     private T item;
@@ -20,5 +20,5 @@
     }
 
-    public ObjectSelectorDialog(IEnumerable<IGrouping<string, T>> selectableItems) {
+    public ObjectSelectorDialog(IEnumerable<IGrouping<Type, T>> selectableItems) {
       this.initialized = false;
       this.items = new List<IItem>();
@@ -32,14 +32,14 @@
         itemsListView.SmallImageList = new ImageList();
 
-        foreach (IGrouping<string, T> category in selectableItems) {
-          ListViewGroup group = new ListViewGroup(category.Key);
+        foreach (IGrouping<Type, T> item in selectableItems) {
+          ListViewGroup group = new ListViewGroup(item.Key.Name);
           itemsListView.Groups.Add(group);
-          foreach (T i in category) {
+          foreach (T i in item) {
             items.Add(i);
-            ListViewItem item = new ListViewItem(new string[] { i.Name, i.Description, i.ItemName }, group);
+            ListViewItem value = new ListViewItem(new string[] { i.Name, i.Description, i.ItemName }, group);
             itemsListView.SmallImageList.Images.Add(i.ItemImage);
-            item.ImageIndex = itemsListView.SmallImageList.Images.Count - 1;
-            item.Tag = i;
-            itemsListView.Items.Add(item);
+            value.ImageIndex = itemsListView.SmallImageList.Images.Count - 1;
+            value.Tag = i;
+            itemsListView.Items.Add(value);
           }
         }
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ParameterConfigurationListView.cs
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ParameterConfigurationListView.cs	(revision 4539)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ParameterConfigurationListView.cs	(revision 4830)
@@ -11,4 +11,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.PluginInfrastructure;
+using HeuristicLab.Collections;
 
 namespace HeuristicLab.Problems.MetaOptimization.Views {
@@ -17,5 +18,5 @@
   /// </summary>
   [View("ParameterConfigurationList View")]
-  [Content(typeof(ParameterConfigurationList), true)]
+  [Content(typeof(IItemList<IParameterConfiguration>), true)]
   public partial class ParameterConfigurationListView : ItemCollectionView<IParameterConfiguration> {
     /// <summary>
@@ -24,6 +25,6 @@
     /// <remarks>Uses property <see cref="ViewBase.Item"/> of base class <see cref="ViewBase"/>.
     /// No own data storage present.</remarks>
-    public new ParameterConfigurationList Content {
-      get { return (ParameterConfigurationList)base.Content; }
+    public new IItemList<IParameterConfiguration> Content {
+      get { return (IItemList<IParameterConfiguration>)base.Content; }
       set { base.Content = value; }
     }
@@ -35,9 +36,7 @@
     protected override void RegisterContentEvents() {
       base.RegisterContentEvents();
-      Content.CheckedItemsChanged += new Collections.CollectionItemsChangedEventHandler<IParameterConfiguration>(Content_CheckedItemsChanged);
     }
 
     protected override void DeregisterContentEvents() {
-      Content.CheckedItemsChanged -= new Collections.CollectionItemsChangedEventHandler<IParameterConfiguration>(Content_CheckedItemsChanged);
       base.DeregisterContentEvents();
     }
@@ -45,59 +44,5 @@
     protected override void OnContentChanged() {
       base.OnContentChanged();
-      while (itemsListView.Items.Count > 0) RemoveListViewItem(itemsListView.Items[0]);
-      viewHost.Content = null;
-      if (Content != null) {
-        Caption += " (" + Content.GetType().Name + ")";
-        foreach (IParameterConfiguration item in Content.CheckedItems)
-          AddListViewItem(CreateListViewItem(item));
-        AdjustListViewColumnSizes();
-        SortItemsListView(SortOrder.Ascending);
-      }
     }
-
-    protected override void SetEnabledStateOfControls() {
-      base.SetEnabledStateOfControls();
-    }
-
-    protected override void addButton_Click(object sender, EventArgs e) {
-      var selectorDialog = new ObjectSelectorDialog<IParameterConfiguration>(from c in Content
-                                                                             where !Content.ItemChecked(c)
-                                                                             group c by c.Category);
-      if (selectorDialog.ShowDialog() == DialogResult.OK) {
-        Content.SetItemCheckedState(selectorDialog.Item, true);
-      }
-    }
-
-    protected override void removeButton_Click(object sender, EventArgs e) {
-      if (itemsListView.SelectedItems.Count > 0) {
-        foreach (ListViewItem item in itemsListView.SelectedItems)
-          Content.SetItemCheckedState((IParameterConfiguration)item.Tag, false);
-        itemsListView.SelectedItems.Clear();
-      }
-    }
-
-    private void Content_CheckedItemsChanged(object sender, Collections.CollectionItemsChangedEventArgs<IParameterConfiguration> e) {
-      foreach (IParameterConfiguration item in e.Items) {
-        if (!Content.ItemChecked(item)) {
-          ListViewItem found = FindListViewItem(item);
-          if(found != null)
-            RemoveListViewItem(found);
-        } else {
-          ListViewItem found = FindListViewItem(item);
-          if (found == null)
-            AddListViewItem(CreateListViewItem(item));
-        }
-      }
-    }
-
-    #region Helpers
-    private ListViewItem FindListViewItem(IParameterConfiguration tag) {
-      foreach (ListViewItem item in itemsListView.Items) {
-        if (item.Tag == tag)
-          return item;
-      }
-      return null;
-    }
-    #endregion
   }
 }
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ParameterConfigurationView.Designer.cs
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ParameterConfigurationView.Designer.cs	(revision 4539)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ParameterConfigurationView.Designer.cs	(revision 4830)
@@ -25,5 +25,15 @@
     private void InitializeComponent() {
       this.optimizeCheckBox = new System.Windows.Forms.CheckBox();
-      this.viewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
+      this.tabControl = new System.Windows.Forms.TabControl();
+      this.valueTabPage = new System.Windows.Forms.TabPage();
+      this.valueViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
+      this.configurationtabPage = new System.Windows.Forms.TabPage();
+      this.configurationViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
+      this.childParameterTabPage = new System.Windows.Forms.TabPage();
+      this.childParameterConfigurationListView = new HeuristicLab.Problems.MetaOptimization.Views.ParameterConfigurationListView();
+      this.tabControl.SuspendLayout();
+      this.valueTabPage.SuspendLayout();
+      this.configurationtabPage.SuspendLayout();
+      this.childParameterTabPage.SuspendLayout();
       this.SuspendLayout();
       // 
@@ -39,17 +49,92 @@
       this.optimizeCheckBox.CheckedChanged += new System.EventHandler(this.optimizeCheckBox_CheckedChanged);
       // 
-      // viewHost
+      // tabControl
       // 
-      this.viewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+      this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.viewHost.Caption = "View";
-      this.viewHost.Content = null;
-      this.viewHost.Location = new System.Drawing.Point(0, 26);
-      this.viewHost.Name = "viewHost";
-      this.viewHost.ReadOnly = false;
-      this.viewHost.Size = new System.Drawing.Size(729, 455);
-      this.viewHost.TabIndex = 7;
-      this.viewHost.ViewType = null;
+      this.tabControl.Controls.Add(this.valueTabPage);
+      this.tabControl.Controls.Add(this.configurationtabPage);
+      this.tabControl.Controls.Add(this.childParameterTabPage);
+      this.tabControl.Location = new System.Drawing.Point(3, 26);
+      this.tabControl.Name = "tabControl";
+      this.tabControl.SelectedIndex = 0;
+      this.tabControl.Size = new System.Drawing.Size(553, 447);
+      this.tabControl.TabIndex = 5;
+      // 
+      // valueTabPage
+      // 
+      this.valueTabPage.Controls.Add(this.valueViewHost);
+      this.valueTabPage.Location = new System.Drawing.Point(4, 22);
+      this.valueTabPage.Name = "valueTabPage";
+      this.valueTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.valueTabPage.Size = new System.Drawing.Size(545, 421);
+      this.valueTabPage.TabIndex = 0;
+      this.valueTabPage.Text = "Value";
+      this.valueTabPage.UseVisualStyleBackColor = true;
+      // 
+      // valueViewHost
+      // 
+      this.valueViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.valueViewHost.Caption = "Value";
+      this.valueViewHost.Content = null;
+      this.valueViewHost.Enabled = false;
+      this.valueViewHost.Location = new System.Drawing.Point(3, 3);
+      this.valueViewHost.Name = "valueViewHost";
+      this.valueViewHost.ReadOnly = false;
+      this.valueViewHost.Size = new System.Drawing.Size(539, 415);
+      this.valueViewHost.TabIndex = 0;
+      this.valueViewHost.ViewType = null;
+      // 
+      // configurationtabPage
+      // 
+      this.configurationtabPage.Controls.Add(this.configurationViewHost);
+      this.configurationtabPage.Location = new System.Drawing.Point(4, 22);
+      this.configurationtabPage.Name = "configurationtabPage";
+      this.configurationtabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.configurationtabPage.Size = new System.Drawing.Size(545, 421);
+      this.configurationtabPage.TabIndex = 1;
+      this.configurationtabPage.Text = "Configuration";
+      this.configurationtabPage.UseVisualStyleBackColor = true;
+      // 
+      // configurationViewHost
+      // 
+      this.configurationViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.configurationViewHost.Caption = "Configuration";
+      this.configurationViewHost.Content = null;
+      this.configurationViewHost.Enabled = false;
+      this.configurationViewHost.Location = new System.Drawing.Point(4, 4);
+      this.configurationViewHost.Name = "configurationViewHost";
+      this.configurationViewHost.ReadOnly = false;
+      this.configurationViewHost.Size = new System.Drawing.Size(538, 414);
+      this.configurationViewHost.TabIndex = 0;
+      this.configurationViewHost.ViewType = null;
+      // 
+      // childParameterTabPage
+      // 
+      this.childParameterTabPage.Controls.Add(this.childParameterConfigurationListView);
+      this.childParameterTabPage.Location = new System.Drawing.Point(4, 22);
+      this.childParameterTabPage.Name = "childParameterTabPage";
+      this.childParameterTabPage.Size = new System.Drawing.Size(545, 421);
+      this.childParameterTabPage.TabIndex = 2;
+      this.childParameterTabPage.Text = "Child Parameters";
+      this.childParameterTabPage.UseVisualStyleBackColor = true;
+      // 
+      // childParameterConfigurationListView
+      // 
+      this.childParameterConfigurationListView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.childParameterConfigurationListView.Caption = "Parameter Configuration";
+      this.childParameterConfigurationListView.Content = null;
+      this.childParameterConfigurationListView.Location = new System.Drawing.Point(4, 4);
+      this.childParameterConfigurationListView.Name = "childParameterConfigurationListView";
+      this.childParameterConfigurationListView.ReadOnly = false;
+      this.childParameterConfigurationListView.Size = new System.Drawing.Size(538, 414);
+      this.childParameterConfigurationListView.TabIndex = 0;
       // 
       // ParameterConfigurationView
@@ -57,8 +142,12 @@
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Controls.Add(this.viewHost);
+      this.Controls.Add(this.tabControl);
       this.Controls.Add(this.optimizeCheckBox);
       this.Name = "ParameterConfigurationView";
-      this.Size = new System.Drawing.Size(729, 481);
+      this.Size = new System.Drawing.Size(556, 473);
+      this.tabControl.ResumeLayout(false);
+      this.valueTabPage.ResumeLayout(false);
+      this.configurationtabPage.ResumeLayout(false);
+      this.childParameterTabPage.ResumeLayout(false);
       this.ResumeLayout(false);
       this.PerformLayout();
@@ -69,5 +158,11 @@
 
     private System.Windows.Forms.CheckBox optimizeCheckBox;
-    private MainForm.WindowsForms.ViewHost viewHost;
+    private System.Windows.Forms.TabControl tabControl;
+    private System.Windows.Forms.TabPage valueTabPage;
+    private MainForm.WindowsForms.ViewHost valueViewHost;
+    private System.Windows.Forms.TabPage configurationtabPage;
+    private MainForm.WindowsForms.ViewHost configurationViewHost;
+    private System.Windows.Forms.TabPage childParameterTabPage;
+    private ParameterConfigurationListView childParameterConfigurationListView;
   }
 }
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ParameterConfigurationView.cs
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ParameterConfigurationView.cs	(revision 4539)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/ParameterConfigurationView.cs	(revision 4830)
@@ -10,4 +10,5 @@
 using HeuristicLab.Core.Views;
 using HeuristicLab.Core;
+using HeuristicLab.Collections;
 
 namespace HeuristicLab.Problems.MetaOptimization.Views {
@@ -16,5 +17,6 @@
   /// </summary>
   [View("ParameterConfiguration View")]
-  [Content(typeof(IParameterConfiguration), true)]
+  [Content(typeof(IParameterConfiguration), false)]
+  [Content(typeof(ParameterConfiguration), true)]
   public partial class ParameterConfigurationView : ItemView {
     /// <summary>
@@ -35,16 +37,72 @@
       base.OnContentChanged();
       if (Content != null) {
-        viewHost.Content = Content.Parameter;
+        optimizeCheckBox.Checked = Content.OptimizationEnabled;
+        valueViewHost.ViewType = typeof(ValueView);
+        valueViewHost.Content = Content;
+        if (Content is IntValueParameterConfiguration) {
+          configurationViewHost.Content = ((IntValueParameterConfiguration)Content).Ranges;
+        } else {
+          configurationViewHost.Content = null;
+        }
+
+        childParameterConfigurationListView.Content = ((ParameterConfiguration)Content).ChildParameterConfigurations;
       } else {
-        viewHost.Content = null;
+        valueViewHost.Content = null;
+        configurationViewHost.Content = null;
+        childParameterConfigurationListView.Content = null;
       }
+      SetEnabledStateOfControls();
+    }
+
+    protected override void RegisterContentEvents() {
+      base.RegisterContentEvents();
+      Content.ChildParameterConfigurations.ItemsAdded += new CollectionItemsChangedEventHandler<IndexedItem<IParameterConfiguration>>(ChildParameterConfigurations_ItemsAdded);
+      Content.ChildParameterConfigurations.ItemsRemoved += new CollectionItemsChangedEventHandler<IndexedItem<IParameterConfiguration>>(ChildParameterConfigurations_ItemsRemoved);
+    }
+    protected override void DeregisterContentEvents() {
+      Content.ChildParameterConfigurations.ItemsAdded -= new CollectionItemsChangedEventHandler<IndexedItem<IParameterConfiguration>>(ChildParameterConfigurations_ItemsAdded);
+      Content.ChildParameterConfigurations.ItemsRemoved -= new CollectionItemsChangedEventHandler<IndexedItem<IParameterConfiguration>>(ChildParameterConfigurations_ItemsRemoved);
+      base.DeregisterContentEvents();
+    }
+
+    void ChildParameterConfigurations_ItemsRemoved(object sender, Collections.CollectionItemsChangedEventArgs<Collections.IndexedItem<IParameterConfiguration>> e) {
+      SetEnabledStateOfControls();
+    }
+    
+    void ChildParameterConfigurations_ItemsAdded(object sender, Collections.CollectionItemsChangedEventArgs<Collections.IndexedItem<IParameterConfiguration>> e) {
+      SetEnabledStateOfControls();
     }
 
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
+      this.SuspendLayout();
+      if (optimizeCheckBox.Checked) {
+        DisableTabPage(valueTabPage);
+        EnableTabPage(configurationtabPage);
+        if (Content.ChildParameterConfigurations.Count > 0)
+          EnableTabPage(childParameterTabPage);
+      } else {
+        DisableTabPage(configurationtabPage);
+        DisableTabPage(childParameterTabPage);
+        EnableTabPage(valueTabPage);
+      }
+      this.ResumeLayout();
     }
 
     private void optimizeCheckBox_CheckedChanged(object sender, EventArgs e) {
+      Content.OptimizationEnabled = optimizeCheckBox.Checked;
+      SetEnabledStateOfControls();
+    }
 
+    protected void EnableTabPage(TabPage tabPage) {
+      if (!tabControl.TabPages.Contains(tabPage)) {
+        tabControl.TabPages.Add(tabPage);
+      }
+    }
+
+    protected void DisableTabPage(TabPage tabPage) {
+      if (tabControl.TabPages.Contains(tabPage)) {
+        tabControl.TabPages.Remove(tabPage);
+      }
     }
   }
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/RootParameterConfigurationView.Designer.cs
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/RootParameterConfigurationView.Designer.cs	(revision 4830)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/RootParameterConfigurationView.Designer.cs	(revision 4830)
@@ -0,0 +1,58 @@
+﻿namespace HeuristicLab.Problems.MetaOptimization.Views {
+  partial class RootParameterConfigurationView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.listView = new HeuristicLab.Problems.MetaOptimization.Views.ParameterConfigurationListView();
+      this.SuspendLayout();
+      // 
+      // listView
+      // 
+      this.listView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.listView.Caption = "ParameterConfigurationList View";
+      this.listView.Content = null;
+      this.listView.Location = new System.Drawing.Point(0, 0);
+      this.listView.Name = "listView";
+      this.listView.ReadOnly = false;
+      this.listView.Size = new System.Drawing.Size(556, 473);
+      this.listView.TabIndex = 0;
+      // 
+      // RootParameterConfigurationView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.listView);
+      this.Name = "RootParameterConfigurationView";
+      this.Size = new System.Drawing.Size(556, 473);
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+    private ParameterConfigurationListView listView;
+
+  }
+}
Index: branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/RootParameterConfigurationView.cs
===================================================================
--- branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/RootParameterConfigurationView.cs	(revision 4830)
+++ branches/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/RootParameterConfigurationView.cs	(revision 4830)
@@ -0,0 +1,50 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Data;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.MainForm;
+using HeuristicLab.Core.Views;
+using HeuristicLab.Core;
+
+namespace HeuristicLab.Problems.MetaOptimization.Views {
+  /// <summary>
+  /// The visual representation of a <see cref="ParameterConfiguration"/>.
+  /// </summary>
+  [View("ParameterConfiguration View")]
+  [Content(typeof(RootParameterConfiguration), true)]
+  public partial class RootParameterConfigurationView : ItemView {
+    /// <summary>
+    /// Gets or sets the variable to represent visually.
+    /// </summary>
+    /// <remarks>Uses property <see cref="ViewBase.Item"/> of base class <see cref="ViewBase"/>.
+    /// No own data storage present.</remarks>
+    public new RootParameterConfiguration Content {
+      get { return (RootParameterConfiguration)base.Content; }
+      set { base.Content = value; }
+    }
+
+    public RootParameterConfigurationView() {
+      InitializeComponent();
+    }
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+      if (Content != null) {
+        listView.Content = new ItemList<IParameterConfiguration>(Content.ChildParameterConfigurations);
+      } else {
+        listView.Content = null;
+      }
+      SetEnabledStateOfControls();
+    }
+
+    protected override void SetEnabledStateOfControls() {
+      base.SetEnabledStateOfControls();
+    }
+
+
+  }
+}
